Subject: [Dime] AVP mandatory bit

From: "David Lehmann" <[email-masked]>
Date: Fri, 25 Jun 2010 16:13:05 -0400

Hello,

A question about RFC 3588:  What is the purpose of the mandatory bit in
the AVP header? I see the explanation in section 4.1.  It seems that the
determination of whether a AVP is needed is an application level rule.
I don't see why this information is encoded in the protocol itself.

-David

---

From: vinay murudi <[email-masked]>
Date: Sat, 26 Jun 2010 06:39:15 +0530

Hi David

I think the reason is - since RFC3588 has the mandate to define the AVP
structure and format - even though the Applications can define the new AVPs
for extensibility.

regards
Vinay Murudi

On Sat, Jun 26, 2010 at 1:43 AM, David Lehmann <[email-masked]> wrote:

>  Hello,
>
>
>
> A question about RFC 3588:  What is the purpose of the mandatory bit in the
> AVP header? I see the explanation in section 4.1.  It seems that the
> determination of whether a AVP is needed is an application level rule.  I
> don’t see why this information is encoded in the protocol itself.
>
>
>
> -David
>
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime
>
>

---

From: "David Lehmann" <[email-masked]>
Date: Tue, 29 Jun 2010 16:14:49 -0400

I still see it as unnecessary.  

If I am a Diameter application, for a given message command code, I look
for AVP A, B, and C to do my processing.  If there is an AVP D, which I
do not need, why do I care if the mandatory bit is set?  In the real
world, I will simply ignore D.

--

David Lehmann

Ulticom, Inc.

856-787-2952

From: vinay murudi [mailto:[email-masked]] 
Sent: Friday, June 25, 2010 9:09 PM
To: David Lehmann
Cc: [email-masked]
Subject: Re: [Dime] AVP mandatory bit

Hi David

I think the reason is - since RFC3588 has the mandate to define the AVP
structure and format - even though the Applications can define the new
AVPs for extensibility.

regards

Vinay Murudi

On Sat, Jun 26, 2010 at 1:43 AM, David Lehmann <[email-masked]>
wrote:

Hello,

-David